<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{valueSetManagerSVS.getGroupFromUrl()}
            #{valueSetManagerSVS.prepareListValueSets()}
            <h1>#{messages['gazelle.svs.EditGroupSVS']}</h1>
            <s:div id="globalDiv">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title"><h:outputText value="#{messages['gazelle.svs.GroupEdition']} - #{messages['net.ihe.gazelle.simulators.OID']} #{valueSetManagerSVS.selectedGroup.iD}"/></ui:define>
                    <div class="form-horizontal">

                        <a4j:region id="selectedGroupNameRegion">
                            <s:decorate id="selectedGroupNameDecorate"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="selectedGroupName"/>
                                <ui:param name="required" value="true"/>
                                <ui:define name="label">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                <h:inputText id="selectedGroupName" styleClass="form-control"
                                             value="#{valueSetManagerSVS.selectedGroup.displayName}"
                                             required="true">
                                    <a4j:ajax event="blur" render="selectedGroupNameDecorate"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>

                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:param name="id" value="selectedGroupOrganization"/>
                            <ui:define name="label">#{messages['gazelle.svs.SourceOrganization']}</ui:define>
                            <h:inputText id="selectedGroupOrganization"
                                         value="#{valueSetManagerSVS.selectedGroup.sourceOrganization}"
                                         styleClass="form-control"/>
                        </s:decorate>

                    </div>

                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <s:div id="panelKeywords">
                            <ui:define name="panel_title">#{messages['gazelle.svs.KeywordAssociation']}</ui:define>
                            <div class="row">
                                <a4j:region id="addKeywordRegion">
                                    <div class="col-lg-8">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:param name="id" value="addKeyword"/>
                                            <ui:define name="label">#{messages['gazelle.svs.AddKeyword']}</ui:define>
                                            <h:inputText id="addKeyword" value="#{valueSetManagerSVS.newKeyword}"
                                                         styleClass="form-control"/>
                                        </ui:decorate>
                                    </div>
                                    <div class="col-lg-4">
                                        <a4j:commandButton value="#{messages['gazelle.svs.Add']}"
                                                           styleClass="gzl-btn-blue"
                                                           action="#{valueSetManagerSVS.addKeyWordGroup()}"
                                                           render="panelKeywords"/>
                                    </div>
                                </a4j:region>
                            </div>
                            <rich:dataTable var="kw"
                                            value="#{valueSetManagerSVS.selectedGroup.keyword}">
                                <g:column width="170px" label="Keyword">
                                    <ui:define name="header">#{messages['gazelle.svs.Keyword']}</ui:define>
                                    <h:outputText value="#{kw}"/>
                                </g:column>
                                <g:column label="Action" width="80px">
                                    <f:facet name="header">#{messages['users.Action']}</f:facet>
                                    <div class="gzl-never-wrap">
                                        <a4j:commandLink
                                                action="#{valueSetManagerSVS.setOldKeyword(kw)}"
                                                oncomplete="jq162('#editKeywordPopup').modal('show');"
                                                render="editKeywordTextDiv"
                                                title="#{messages['net.ihe.gazelle.svssimulator.EditKeyword']}">
                                            <span class="gzl-icon-pencil"></span>
                                        </a4j:commandLink>
                                        <a4j:commandLink
                                                action="#{valueSetManagerSVS.selectedGroup.keyword.remove(kw)}"
                                                render="panelKeywords"
                                                title="#{messages['gazelle.svs.RemoveKeyword']}">
                                            <span class="gzl-icon-trash-o"></span>
                                        </a4j:commandLink>
                                    </div>
                                </g:column>
                            </rich:dataTable>
                        </s:div>


                    </ui:decorate>


                    <s:div id="panelValueSetAssociation" rendered="#{not empty valueSetManagerSVS.selectedGroup.idDB}">
                        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                            <ui:define name="panel_title">#{messages['gazelle.svs.ValueSetAssociation']}</ui:define>
                            <s:div>
                                <rich:dataTable value="#{valueSetManagerSVS.selectedGroup.valueSets}"
                                                var="vs"
                                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                                id="tableValueSetsGroup"
                                                rendered="#{not empty valueSetManagerSVS.selectedGroup.valueSets}"
                                                render="ds1">
                                    <g:column sortBy="#{vs.id}" sortable="true" filterBy="#{vs.id}"
                                              filterEvent="onkeyup"
                                              width="170px" label="OID">
                                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.OID']}
                                        </ui:define>
                                        <h:outputText value="#{vs.id}"/>
                                    </g:column>
                                    <g:column sortBy="#{vs.displayName}" sortable="true" filterBy="#{vs.displayName}"
                                              filterEvent="onkeyup" label="displayName">
                                        <ui:define name="header">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                        <h:outputText value="#{vs.displayName}"/>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">
                                            <h:outputText value="#{messages['users.Action']}"/>
                                            <s:span rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}">
                                                <h:commandLink
                                                        title="#{messages['net.ihe.gazelle.svssimulator.DownloadAllValueSetsFromThisGroupAsZip']}"
                                                        action="#{valueSetManagerSVS.downloadValueSetsFromGroup()}">
                                                    <span class="gzl-icon-download"/>
                                                </h:commandLink>
                                            </s:span>
                                        </ui:define>
                                        <div class="gzl-never-wrap">
                                            <a4j:commandLink action="#{valueSetManagerSVS.removeValueSetToGroup(vs)}"
                                                             render="panelValueSetAssociation">
                                                <span class="gzl-icon-times"></span>
                                            </a4j:commandLink>
                                            <h:outputLink id="viewActionButton"
                                                          title="#{messages['gazelle.svs.MoreDetails']}" target="_blank"
                                                          value="#{applicationConfigurationManager.getApplicationUrl()}/browser/valueSet.seam?id=#{vs.id}">
                                                <span class="gzl-icon-search"></span>
                                            </h:outputLink>
                                        </div>

                                    </g:column>
                                    <f:facet name="footer">
                                        <ui:include src="/util/datatableFooter.xhtml">
                                            <ui:param name="dataScrollerId" value="ds"/>
                                            <ui:param name="dataTableId" value="tableValueSetsGroup"/>
                                        </ui:include>
                                    </f:facet>
                                </rich:dataTable>
                            </s:div>
                            <s:div id="divTableValueSet" rendered="#{valueSetManagerSVS.getDisplayAddNewGroup()}">
                                <h3>#{messages['gazelle.svs.AddNewValueSetToGroup']}</h3>
                                <rich:dataTable value="#{valueSetManagerSVS.getAllValueSetsForSelectedGroup()}" var="vs"
                                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                                id="tableValueSets" render="ds2">
                                    <g:column sortBy="#{'id'}" sortable="true" filterBy="#{'id'}" filterEvent="onkeyup"
                                              width="170px" label="OID">
                                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.OID']}
                                        </ui:define>
                                        <h:outputText value="#{vs.id}"/>
                                    </g:column>
                                    <g:column sortBy="#{'displayName'}" sortable="true" filterBy="#{'displayName'}"
                                              filterEvent="onkeyup" label="displayName">
                                        <ui:define name="header">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                        <h:outputText value="#{vs.displayName}"/>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                                        <div class="gzl-never-wrap">
                                            <a4j:commandLink action="#{valueSetManagerSVS.addValueSetToGroup(vs)}"
                                                             render="panelValueSetAssociation">
                                                <span class="gzl-icon-plus"></span>
                                            </a4j:commandLink>
                                            <h:outputLink
                                                    value="#{applicationConfigurationManager.getApplicationUrl()}/browser/valueSet.seam"
                                                    target="_blank">
                                                <f:param name="id" value="#{vs.id}"/>
                                                <span class="gzl-icon-search"></span>
                                            </h:outputLink>
                                        </div>
                                    </g:column>
                                    <f:facet name="footer">
                                        <ui:include src="/util/datatableFooter.xhtml">
                                            <ui:param name="dataScrollerId" value="ds"/>
                                            <ui:param name="dataTableId" value="tableValueSets"/>
                                        </ui:include>
                                    </f:facet>
                                </rich:dataTable>
                            </s:div>
                            <ui:define name="panel_footer">
                                <a4j:commandButton value="#{messages['gazelle.svs.AddNewValueSetToGroup']}"
                                                   styleClass="gzl-btn-blue"
                                                   action="#{valueSetManagerSVS.setDisplayAddNewGroup(true)}"
                                                   rendered="#{valueSetManagerSVS.getDisplayAddNewGroup() == false}"
                                                   render="panelValueSetAssociation"/>
                                <a4j:commandButton value="#{messages['gazelle.svs.ClosePanelAddNewValueSetToGroup']}"
                                                   styleClass="gzl-btn"
                                                   action="#{valueSetManagerSVS.setDisplayAddNewGroup(false)}"
                                                   rendered="#{valueSetManagerSVS.getDisplayAddNewGroup() == true}"
                                                   render="panelValueSetAssociation"/>
                            </ui:define>

                        </ui:decorate>
                    </s:div>

                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.svs.SaveGroup']}"
                                           styleClass="gzl-btn-green"
                                           action="#{valueSetManagerSVS.saveEditGroup()}"
                                           render="globalDiv"/>
                        <a4j:commandButton value="#{messages['gazelle.svs.Back']}"
                                           styleClass="gzl-btn"
                                           action="/browser/groupBrowser.seam"
                                           immediate="true" execute="@this"/>
                    </ui:define>

                </ui:decorate>
            </s:div>

            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="editKeywordPopup"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text"/>
                <ui:define name="popup_title">
                    #{messages['net.ihe.gazelle.svssimulator.EditKeyword_2']}
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <s:div id="editKeywordTextDiv">
                    <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                        <ui:param name="id" value="addKeyword"/>
                        <ui:define name="label">
                            <h:outputText value="#{messages['net.ihe.gazelle.svssimulator.EditKeyword_2']} #{valueSetManagerSVS.oldKeyword}"/>
                        </ui:define>
                        <h:inputText id="editKeyword" value="#{valueSetManagerSVS.newKeyword}"
                                     styleClass="form-control"/>
                    </ui:decorate>
                </s:div>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['users.Edit']}"
                                       action="#{valueSetManagerSVS.saveEditKeyword()}"
                                       oncomplete="jq162('#editKeywordPopup').modal('hide');"
                                       render="panelKeywords"
                                       styleClass="gzl-btn-blue"/>
                    <a4j:commandButton value="#{messages['users.Cancel']}"
                                       oncomplete="jq162('#editKeywordPopup').modal('hide');"
                                       styleClass="gzl-btn"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>